# Visualization
TKService
Aspect

# Aspect_Edge Class Reference

This class allows the definition of an edge.
.

`#include <Aspect_Edge.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_Edge ()
| Creates an edge. .
Standard_EXPORT | Aspect_Edge (const Standard_Integer AIndex1, const Standard_Integer AIndex2, const Aspect_TypeOfEdge AType)
| Creates an edge from an index of vertices in a table of vertices. <atype> indicates if this edge is seen or not. Warning: Raises EdgeDefinitionError if AIndex1 == AIndex2. .
Standard_EXPORT void | SetValues (const Standard_Integer AIndex1, const Standard_Integer AIndex2, const Aspect_TypeOfEdge AType)
| Updates the values of an edge <me>. Warning: Raises EdgeDefinitionError if AIndex1 == AIndex2. .
Standard_EXPORT void | Values (Standard_Integer &AIndex1, Standard_Integer &AIndex2, Aspect_TypeOfEdge &AType) const
| Returns the index of the vertices and the type of edge <me>. .
Standard_EXPORT Standard_Integer | FirstIndex () const
| Returns the index of the begin of the edge <me>. .
Standard_EXPORT Standard_Integer | LastIndex () const
| Returns the index of the end of the edge <me>. .
Standard_EXPORT Aspect_TypeOfEdge | Type () const
| Returns the type of the edge <me>. .

## Private Attributes

Standard_Integer | MyBegin
Standard_Integer | MyEnd
Aspect_TypeOfEdge | MyVisibility

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_Edge::Aspect_Edge | ( |  | ) |

Standard_EXPORT Aspect_Edge::Aspect_Edge | ( | const Standard_Integer | AIndex1,
|  | const Standard_Integer | AIndex2,
|  | const Aspect_TypeOfEdge | AType
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_Edge::FirstIndex | ( |  | ) | const

Standard_EXPORT Standard_Integer Aspect_Edge::LastIndex | ( |  | ) | const

void Aspect_Edge::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_Edge::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_Edge::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void Aspect_Edge::SetValues | ( | const Standard_Integer | AIndex1,
|  | const Standard_Integer | AIndex2,
|  | const Aspect_TypeOfEdge | AType
| ) |

Standard_EXPORT Aspect_TypeOfEdge Aspect_Edge::Type | ( |  | ) | const

Standard_EXPORT void Aspect_Edge::Values | ( | Standard_Integer & | AIndex1,
|  | Standard_Integer & | AIndex2,
|  | Aspect_TypeOfEdge & | AType
| ) | const

## Field Documentation

Standard_Integer Aspect_Edge::MyBegin `[private]`

Standard_Integer Aspect_Edge::MyEnd `[private]`

Aspect_TypeOfEdge Aspect_Edge::MyVisibility `[private]`

The documentation for this class was generated from the following file:

- Aspect_Edge.hxx